> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountsea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出模型

## 概述

返回 Chat API 所有可用模型的列表。

## 响应格式

```json theme={null}
{
  "object": "list",
  "data": [
    {
      "id": "gpt-5.1",
      "object": "model",
      "created": 1234567890,
      "owned_by": "mountsea"
    },
    {
      "id": "gpt-5.1-all",
      "object": "model",
      "created": 1234567890,
      "owned_by": "mountsea"
    },
    {
      "id": "gemini-2.5-pro",
      "object": "model",
      "created": 1234567890,
      "owned_by": "mountsea"
    },
    {
      "id": "claude-sonnet-4-6",
      "object": "model",
      "created": 1234567890,
      "owned_by": "mountsea"
    }
  ]
}
```

## 示例

### 使用 OpenAI SDK

```python theme={null}
from openai import OpenAI

client = OpenAI(
    api_key="your-api-key",
    base_url="https://api.mountsea.ai/chat"
)

models = client.models.list()

for model in models.data:
    print(f"Model: {model.id}")
```

### 使用 cURL

```bash theme={null}
curl https://api.mountsea.ai/chat/models \
  -H "Authorization: Bearer your-api-key"
```

## 可用模型

### OpenAI 模型

| 模型 ID                  | 描述                      |
| ---------------------- | ----------------------- |
| `gpt-5.1`              | 最新 GPT-5.1 模型           |
| `gpt-5.1-all`          | GPT-5.1 全能力版本           |
| `gpt-5.1-thinking`     | GPT-5.1 增强推理版           |
| `gpt-5.1-thinking-all` | GPT-5.1 推理全能力版          |
| `gpt-5.1-2025-11-13`   | GPT-5.1 快照版（2025-11-13） |
| `gpt-5.2`              | 最新 GPT-5.2 模型           |

### Google Gemini 模型

| 模型 ID              | 描述                          |
| ------------------ | --------------------------- |
| `gemini-3-pro`     | Google Gemini 3 Pro         |
| `gemini-2.5-pro`   | Google Gemini 2.5 Pro       |
| `gemini-2.5-flash` | Google Gemini 2.5 Flash（更快） |
| `gemini-3-flash`   | Google Gemini 3 Flash（更快）   |
| `gemini-3.1-pro`   | Google Gemini 3.1 Pro       |

### Anthropic Claude 模型

| 模型 ID                       | 描述                        |
| --------------------------- | ------------------------- |
| `claude-4.5`                | Claude 4.5，综合能力强          |
| `claude-opus-4-6`           | Claude Opus 4.6，最强推理能力    |
| `claude-sonnet-4-6`         | Claude Sonnet 4.6，性能与速度平衡 |
| `claude-haiku-4-5-20251001` | Claude Haiku 4.5，轻量快速     |


## OpenAPI

````yaml GET /chat/models
openapi: 3.0.0
info:
  title: Chat AI
  description: API documentation for Chat AI
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.mountsea.ai
    description: API Gateway
security: []
tags:
  - name: chat
    description: ''
paths:
  /chat/models:
    get:
      tags:
        - Chat - OpenAI Compatible
      summary: 获取模型列表
      operationId: ApiPublicController_listModels
      parameters: []
      responses:
        '200':
          description: ''
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````